org.encog.neural.freeform.basic

## Class BasicActivationSummation

- java.lang.Object
- - org.encog.neural.freeform.basic.BasicActivationSummation

- All Implemented Interfaces:
    Serializable, InputSummation

      public class BasicActivationSummation
      extends Object
      implements InputSummation, Serializable

  Provides a basic implementation of an input summation. The inputs are summed and applied to the activation function.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicActivationSummation(ActivationFunction theActivationFunction)` Construct the activation summation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(FreeformConnection connection)` Add an input connection.
    `double` | `calculate()` Perform the summation, and apply the activation function.
    `ActivationFunction` | `getActivationFunction()`
    `double` | `getSum()`
    `List<FreeformConnection>` | `list()`
    `void` | `setActivationFunction(ActivationFunction activationFunction)` Set the activation function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicActivationSummation

          public BasicActivationSummation(ActivationFunction theActivationFunction)

      Construct the activation summation.
      Parameters:
        `theActivationFunction` - The activation function.

  - ### Method Detail

    - #### add

          public void add(FreeformConnection connection)

      Add an input connection.
      Specified by:
        `add` in interface `InputSummation`
      Parameters:
        `connection` - The connection to add.

    - #### calculate

          public double calculate()

      Perform the summation, and apply the activation function.
      Specified by:
        `calculate` in interface `InputSummation`
      Returns:
        The sum.

    - #### getActivationFunction

          public ActivationFunction getActivationFunction()

      Specified by:
        `getActivationFunction` in interface `InputSummation`
      Returns:
        The activation function

    - #### getSum

          public double getSum()

      Specified by:
        `getSum` in interface `InputSummation`
      Returns:
        The preactivation sum.

    - #### list

          public List<FreeformConnection> list()

      Specified by:
        `list` in interface `InputSummation`
      Returns:
        The input connections.

    - #### setActivationFunction

          public void setActivationFunction(ActivationFunction activationFunction)

      Set the activation function.
      Parameters:
        `activationFunction` - The activation function.

Copyright © 2014. All Rights Reserved.